Package io.vertx.rxjava3.ext.stomp

## Class StompServerConnection

- java.lang.Object
- - io.vertx.rxjava3.ext.stomp.StompServerConnection

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class StompServerConnection
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Class representing a connection between a STOMP client a the server. It keeps a references on the client socket, so let write to this socket.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<StompServerConnection>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StompServerConnection​(StompServerConnection delegate)` |
    `StompServerConnection​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Closes the connection with the client.
    `void` | `configureHeartbeat​(long ping, long pong, Handler<StompServerConnection> pingHandler)` | Configures the heartbeat.
    `boolean` | `equals​(Object o)` |
    `StompServerConnection` | `getDelegate()` |
    `StompServerHandler` | `handler()` |
    `int` | `hashCode()` |
    `static StompServerConnection` | `newInstance​(StompServerConnection arg)` |
    `void` | `onServerActivity()` | Notifies the connection about server activity (the server has sent a frame).
    `void` | `ping()` | Sends a `PING` frame to the client.
    `StompServer` | `server()` |
    `String` | `session()` |
    `SSLSession` | `sslSession()` |
    `String` | `toString()` |
    `StompServerConnection` | `write​(Buffer buffer)` | Writes the given buffer to the socket.
    `StompServerConnection` | `write​(Frame frame)` | Writes the given frame to the socket.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<StompServerConnection> __TYPE_ARG

  - ### Constructor Detail

    - #### StompServerConnection

          public StompServerConnection​(StompServerConnection delegate)

    - #### StompServerConnection

          public StompServerConnection​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public StompServerConnection getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### write

          public StompServerConnection write​(Frame frame)

      Writes the given frame to the socket.
      Parameters:
        `frame` - the frame, must not be `null`.
      Returns:
        the current `StompServerConnection`

    - #### write

          public StompServerConnection write​(Buffer buffer)

      Writes the given buffer to the socket. This is a low level API that should be used carefully.
      Parameters:
        `buffer` - the buffer
      Returns:
        the current `StompServerConnection`

    - #### server

          public StompServer server()

      Returns:
        the STOMP server serving this connection.

    - #### handler

          public StompServerHandler handler()

      Returns:
        the STOMP server handler dealing with this connection

    - #### session

          public String session()

      Returns:
        the STOMP session id computed when the client has established the connection to the server

    - #### close

          public void close()

      Closes the connection with the client.

    - #### ping

          public void ping()

      Sends a `PING` frame to the client. A `PING` frame is a frame containing only `EOL`.

    - #### onServerActivity

          public void onServerActivity()

      Notifies the connection about server activity (the server has sent a frame). This method is used to handle the heartbeat.

    - #### configureHeartbeat

          public void configureHeartbeat​(long ping,
                                         long pong,
                                         Handler<StompServerConnection> pingHandler)

      Configures the heartbeat.
      Parameters:
        `ping` - ping time
        `pong` - pong time
        `pingHandler` - the ping handler

    - #### sslSession

          public SSLSession sslSession()

      Returns:
        SSLSession associated with the underlying socket. Returns null if connection is not SSL.

    - #### newInstance

          public static StompServerConnection newInstance​(StompServerConnection arg)